panda: install-binaries: work with current e2fsprogs

Start trapping errors after partition autodetection.

Needed for current e2fsprogs because e2label throws
an error these days when used on a swap partition

If a relevant error occurs during autodetection,
that is caught anyway (device not set), so this
won't cause any regressions.

Change-Id: Iaffafb5fe785a66726c08e91dd6783e7550584d5
Signed-off-by: Bernhard Rosenkraenzer <Bernhard.Rosenkranzer@linaro.org>
diff --git a/install-binaries-4.0.3.sh b/install-binaries-4.0.3.sh
index 76978b4..4d03e7f 100755
--- a/install-binaries-4.0.3.sh
+++ b/install-binaries-4.0.3.sh
@@ -7,8 +7,6 @@
   exit 1
 }
 
-trap 'err_handle' ERR
-
 device="$1"
 if [ -z "$device" ]; then
     for i in `cat /proc/partitions | awk '{print $4}' |grep -i 'sd[a-z][1-9]\|mmcblk[0-9]p[1-9]'`
@@ -21,6 +19,8 @@
     [ -b "$device" ] || { echo "Failed to find system partition" && exit 1; }
 fi
 
+trap 'err_handle' ERR
+
 mkdir -p /tmp/binaries
 cd /tmp/binaries/
 wget --no-check-certificate $DL_URL